Why my next graphics card will not be from nVidia

My spare time is precious. So although I'm running Debian "Sid" (the developer/unstable) branch and am willing to help fix bugs I'm easily annoyed by flaws in software that haven't been fixed in years. One of them is the proprietary driver for nVidia graphics cards. In Windows I love these cards because a 100€ upgrade to an nVidia GTX 550 Ti made me play Skyrim in high resolution and with a good framerate. These cards are massively powerful. Then I boot into Linux (XFCE and Compiz) and find that animations are sloppy and I get lots of redraw problems with tooltips and menus. Seems like the problem with XDamage and race conditions between the nVidia driver and Compiz is still there. The performance of my graphics card is easily beaten by my laptops integrated Intel graphics card – Compiz works flawlessly there.

(UPDATE: Starting compiz with "compiz –replace –loose-binding" helps a lot with the performance. Found it on the Compiz wiki. That's very noticable to get a smooth "Expo" animation. The problem with broken tooltips and modal menus which annoys a lot when using an IDE with autocompletion could be worked around by enable Compiz animations with a 50ms fade animation when opening windows.)

Fortunately there are alternatives if I don't want to play 3D games, right? Yes, the nouveau driver is there which seems stable enough that Ubuntu relies on it. Nice try. My GTX 550 Ti card is unsupported and leads to unfunny kernel crashes. The only way to fix that was to set "nouveau.modeset=0". Right – the kernel works stably – but then Xorg doesn't find the card at all. So basically nouveau isn't an option either.

Yes, I should probably file a proper bug report against nouveau and learn how to develop video drivers and cure cancer while I'm at it. But half of my weekend is already wasted and I'm close to installing some Ubuntu flavor so I can just start working again. What I'll do now is dump Compiz because OpenGL and nVidia doesn't go together. On the other hand XRender rendering gets me mad because I can't enable vertical sync which tears windows apart when moving them which looks really ugly – not to speak of watching movies which is a pain without VSync. Either I'll use KDE 4.6 with XRender or XFCE without Compiz. Both aren't really my preferred choices. My next graphics card will surely not be from nVidia. It's true what I keep saying for years – you have to buy hardware that works well with your operating system. What use is a nifty graphics card that has such a bad driver that it works much worse than the average non-accelerated laptop graphic? Shame on you, nVidia.

Last weekend I spent an entire day finding the cause for an ASUS BIOS bug that prevented my VirtualBox I use for backport package maintenance to boot 64 bit Debian installations.

It feels like I'm permanently fixing other people's problems that prevent me from even getting to fix my own bugs. That's why I sympathize with people who give up in their IT midlife crisis and just buy a Mac. 😉

 

6 thoughts on “Why my next graphics card will not be from nVidia

  • 2011-12-03 at 18:58
    Permalink

    xorg-edgers ppa and kernel 3.2-rc4 and it should work even with nouveau (should, I do use radeon open drivers)

    Reply
  • 2011-12-27 at 00:14
    Permalink

    Hi,
    Could you please provide the exact model of the ASUS mobo that gave you virtualization issues? I’m considering buying one of theirs right now for their decent network cards (I’ve been with GIGABYTE for long; hated ASUS, decided I’d perhaps let go mainly because GIGABYTE has the crappy Realteks) and I really wouldn’t like to be bitten by a BIOS bug, especially because I’ll be virtualizing on it.
    Thanks in advance!

    Reply
  • 2012-03-30 at 11:45
    Permalink

    A year later, the GTX 550 ti still crashes with nouveau. Even worse, the ATI radeon will not work at all with KDE 4.6, unless you don't use openGL. I've spent over a week trying to get my work's pc to run proerly. Unexpected crashes, unexplained freezes, and all this with 3 different graphics cards. I am starting to think that the problem does not lie with nvidia & ati, but with Debian. Squeeze won't post on install when using the GTX550ti, and neither will Wheezy. I've used debian for years and come to love it, but lately I'm starting to think that maybe I should move to another distro.

    Reply
    • 2012-03-30 at 23:47
      Permalink

      I too am getting unexplained kernel panics when just generally using Debian Squeeze. Like you, I've come to love it for it's stability, but just recently, that seems to have gone right out of the window.

      I can't pin down what the problem is though, so it's difficult to file a bug, if you don't know what's causing the problem.

      For me, often when playing Flash content on a website in Iceweasel, I get a panic, or tonight, trying to experiment with Chromes Development Tools, crash it went! Knowing Flash is not all it should be, at first, I put it down to that, but since other instances have come to light, maybe it's not Flash at all.

      Furthermore, there's nothing installed on my machine that is not classified as stable in Debian's repositories.

      This is so unlike the Debian I've come to admire immensly and I'm beginning to think it may be something in the kenel compilation itself. Why? Because if I run the most recent Linux Mint off a DVD, the same thing happens, but if I go back to an older version, all is well.

      Although of course, Mint is based on Ubuntu, that in itself is based on Debian and so there may be a connection.

      Damned frustrating though and not a good advertisement for Debian.

      Reply
      • 2013-01-26 at 23:57
        Permalink

        “I too am getting unexplained kernel panics when just generally using Debian Squeeze. Like you, I’ve come to love it for it’s stability, but just recently, that seems to have gone right out of the window.

        I can’t pin down what the problem is though..”

        So yeah, lets just asume that this is Debians fault! What a load of crap!

        “For me, often when playing Flash content on a website in Iceweasel, I get a panic, or tonight, trying to experiment with Chromes Development Tools, crash it went! Knowing Flash is not all it should be, at first, I put it down to that, but since other instances have come to light, maybe it’s not Flash at all.”

        Again.. so yeah, lets just asume that this is Debians fault! What a load of crap!

        “Although of course, Mint is based on Ubuntu, that in itself is based on Debian and so there may be a connection.”

        What brilliant detective work there! And hey.. Debian is using the Linux kernel so maybe it’s a fault within the kernel itself!?

        “Damned frustrating though and not a good advertisement for Debian.”

        No.. not good advertisement for you!

        Reply
  • 2016-04-07 at 07:57
    Permalink

    Every GNU/Linux-user knows the troubles with graphic cards made by nvidia or amd.
    My experiences with intel based GPUs since HD 3000 and newer are the most promising among all other competitors. The power, performance and compatibility of these GPUs are, thanks to the open source driver in the kernel, great and absolutely hassle-free.

    Reply

Leave a Reply

Your email address will not be published. Required fields are marked *

By continuing to use the site, you agree to the use of cookies. more information

The cookie settings on this website are set to "allow cookies" to give you the best browsing experience possible. If you continue to use this website without changing your cookie settings or you click "Accept" below then you are consenting to this.

Close